## unarj 2.41a-6

=== debian/changelog ===
unarj (2.41a-6) unstable; urgency=low

  * New maintainer
  * Man page now compressed, fixes Bug#14885.
  * Re-organised documentation from the source package included in binary.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 11 Jan 1998 02:31:42 -0000

unarj (2.41a-5.1) unstable; urgency=low

  * Libc6
  * Pristine source, new package format (#9511 - indented spaces problem
    was already fixed).
  * Updated to new current standards. (Moving that copyright file out of
    /usr/doc/copyright/unarj at last..)
  * Package is non-free according to DFSG (violates at least sections 3 and
    8). Moved to non-free.
  * Made package short description not start with package name (#3641)
  * Include technote.doc in binary package.
  * Move into section utils.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 11 Nov 1997 22:01:22 -0500

 951128 Karl Ferguson <karl@tower.net.au>
 * Updated copyright information.

 960630 Karl Ferguson <karl@tower.net.au>
 * Fixed indented spaces bug in long description.
