=== debian/control ===
Source: unarj
Section: non-free/utils
Priority: optional
Maintainer: Steve McIntyre <stevem@chiark.greenend.org.uk>
Standards-Version: 2.3.0.1

Package: unarj
Architecture: any
Depends: ${shlibs:Depends}
Description: arj unarchive utility
 Unarj de-compresses the ARJ compressed archives. It is only available under
 Unix systems as un-arj, and no plans for an ARJ are in place.
