## unarj 2.43

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #
-# Makefile for unarj 2.41 under Linux
-# by Arrigo Triulzi ({a.triulzi,agbt}@{imperial,ic}.ac.uk)
+# Makefile for unarj 2.43 under Linux
 #
 
 CC = gcc
